Editing Prototype MacPorts PortFile

Jump to navigation Jump to search

Warning: You are not logged in. Your IP address will be publicly visible if you make any edits. If you log in or create an account, your edits will be attributed to your username, along with other benefits.

The edit can be undone. Please check the comparison below to verify that this is what you want to do, and then save the changes below to finish undoing the edit.

Latest revision Your text
Line 3: Line 3:
 
This prototype [http://www.macports.org/ MacPorts] portfile is intended to be used to produce a [[Create_a_MacOS_X_App_Bundle_Using_MacPorts|Octave App bundle for MacOS X]]. Before using it, please verify that the ''version'' number of Octave is correct. If a change is made to the file, it is recommended that the ''revision'' number be incremented to ensure that MacPorts recognizes that the port is outdated and in need of being upgraded.
 
This prototype [http://www.macports.org/ MacPorts] portfile is intended to be used to produce a [[Create_a_MacOS_X_App_Bundle_Using_MacPorts|Octave App bundle for MacOS X]]. Before using it, please verify that the ''version'' number of Octave is correct. If a change is made to the file, it is recommended that the ''revision'' number be incremented to ensure that MacPorts recognizes that the port is outdated and in need of being upgraded.
  
This portfile deviates significantly from the Octave portfile provided by MacPorts.  Specifically, this portfile has fltk-devel, epstool, pstoedit, and transfig as required dependencies. In addition, METIS has been removed, as it's license is not compatible with GPL.  Since the <code>transfig</code> port ultimately includes <code>xord-libx11</code> which triggers an error during the <code>port mdmg</code> the <code>transfig</code> port has also been removed.
+
This portfile deviates significantly from the Octave portfile provided by MacPorts.  Specifically, this portfile has fltk-devel, epstool, pstoedit, and transfig as required dependencies. In addition, METIS has been removed, as it's license is not compatible with GPL.
  
 
  <nowiki># -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:et:sw=4:ts=4:sts=4
 
  <nowiki># -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:et:sw=4:ts=4:sts=4

Please note that all contributions to Octave may be edited, altered, or removed by other contributors. If you do not want your writing to be edited mercilessly, then do not submit it here.
You are also promising us that you wrote this yourself, or copied it from a public domain or similar free resource (see Octave:Copyrights for details). Do not submit copyrighted work without permission!

To edit this page, please answer the question that appears below (more info):

Cancel Editing help (opens in new window)

Template used on this page: